#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 37. LXQt Desktop

- Prev

  kwindowsystem-6.11.0 for lxqt

- Next

  solid-6.11.0 for lxqt

- Up
- Home

# kconfig-6.11.0 for lxqt

## Introduction to kconfig

The kconfig package provides access to configuration files.

This package is known to build and work properly using an LFS 12.3 platform.

### Important

This package is extracted from the KF6 set of packages. If KDE Frameworks-6.11.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/6.11/kconfig-6.11.0.tar.xz

- Download MD5 sum: b0e4142ee55abf3cb38fe6cdf5a0fe71

- Download size: 339 KB

- Estimated disk space required: 29 MB

- Estimated build time: 0.3 SBU (Using parallelism=4)

### kconfig Dependencies

#### Required

extra-cmake-modules-6.11.0 and Qt-6.8.2

## Installation of kconfig

Install kconfig by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_INSTALL_LIBEXECDIR=libexec \
          -D KDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kreadconfig6 and kwriteconfig6
Installed Library: libKF6ConfigCore.so, libKF6ConfigGui.so, and libKF6ConfigQml.so
Installed Directories: /usr/include/KF6/{KConfigCore,KConfig,KConfigQml,KConfigGui}, /usr/lib/cmake/KF6Config, /usr/libexec/kf6, and $QT6DIR/qml/org/kde/config

### Short Descriptions

kreadconfig6 | reads from a configuration file using the KConfig interface
kwriteconfig6 | writes to a configuration file using the KConfig interface
`libKF6ConfigCore.so` | contains the core configuration library for KF6
`libKF6ConfigGui.so` | contains functions for a GUI to interface with KConfig
`libKF6ConfigQml.so` | contains a QML interface to KConfig

- Prev

  kwindowsystem-6.11.0 for lxqt

- Next

  solid-6.11.0 for lxqt

- Up
- Home